classification
Title: exception error in _scproxy.so
Type: crash Stage:
Components: Macintosh Versions: Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: Dan.kamp, Julian.Scheid, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2012-01-19 18:42 by Dan.kamp, last changed 2013-07-06 13:27 by ronaldoussoren.

Messages (10)
msg151648 - (view) Author: Dan kamp (Dan.kamp) Date: 2012-01-19 18:41
Get this error when trying to run Moviegrabber on a mac running v2.7. Crash report below.

Process:         Python [2444]
Path:            /System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/C ontents/MacOS/Python
Identifier:      Python
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  Python [2431]
 
 
Date/Time:       2011-12-21 20:32:41.233 -0500
OS Version:      Mac OS X 10.7.2 (11C74)
Report Version:  9
 
 
Interval Since Last Report:          357638 sec
Crashes Since Last Report:           17
Per-App Crashes Since Last Report:   405
Anonymous UUID:                      3C387DB7-0AA3-4F34-A100-31D1736D2668
 
 
Crashed Thread:  0
 
 
Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000108
 
 
VM Regions Near 0x108:
-->
    __TEXT                 000000010c5c5000-000000010c5c6000 [    4K] r-x/rwx SM=COW  /System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/C ontents/MacOS/Python
 
 
Application Specific Information:
objc[2429]: garbage collection is OFF
 
 
Thread 0 Crashed:
0   libdispatch.dylib                       0x00007fff8b14ace9 _dispatch_wakeup + 108
1   libdispatch.dylib                       0x00007fff8b14d876 _dispatch_resume_slow + 20
2   com.apple.CoreFoundation                0x00007fff8af8262c -[NSXPCConnection start] + 92
3   com.apple.CoreFoundation                0x00007fff8af84ca3 __CFXNotificationCenterSetupConnection + 387
4   com.apple.CoreFoundation                0x00007fff8af84b11 __CFXNotificationCenterCreate + 273
5   com.apple.CoreFoundation                0x00007fff8af849ea __CFNotificationCenterGetDistributedCenter_block_invoke_1 + 26
6   libdispatch.dylib                       0x00007fff8b14d224 dispatch_once_f + 53
7   com.apple.CoreFoundation                0x00007fff8af73e0a CFNotificationCenterGetDistributedCenter + 74
8   com.apple.CoreFoundation                0x00007fff8afb2eb8 ____CFXPreferencesGetSourceForTriplet_block_invoke_1 + 40
9   libdispatch.dylib                       0x00007fff8b14d224 dispatch_once_f + 53
10  com.apple.CoreFoundation                0x00007fff8af7fa4a __CFXPreferencesGetSourceForTriplet + 58
11  com.apple.CoreFoundation                0x00007fff8af8be67 __CFXPreferencesGetSearchListForBundleID + 215
12  com.apple.CoreFoundation                0x00007fff8af8bd48 ___CFXPreferencesCopyAppValue_block_invoke_1 + 24
13  com.apple.CoreFoundation                0x00007fff8af8bcea CFPreferencesCopyAppValue + 218
14  com.apple.SystemConfiguration           0x00007fff928f388c SCDynamicStoreCopyProxies + 43
15  _scproxy.so                             0x000000010ceae9ba 0x10ceae000 + 2490
16  org.python.python                       0x000000010c651b58 PyEval_EvalFrameEx + 13318
17  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
18  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
19  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
20  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
21  org.python.python                       0x000000010c654cd8 PyEval_EvalCodeEx + 1996
22  org.python.python                       0x000000010c5f2abf 0x10c5ca000 + 166591
23  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
24  org.python.python                       0x000000010c5e06e9 0x10c5ca000 + 91881
25  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
26  org.python.python                       0x000000010c64dc40 PyEval_CallObjectWithKeywords + 180
27  org.python.python                       0x000000010c5dd489 PyInstance_New + 273
28  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
29  org.python.python                       0x000000010c651f63 PyEval_EvalFrameEx + 14353
30  org.python.python                       0x000000010c654cd8 PyEval_EvalCodeEx + 1996
31  org.python.python                       0x000000010c654e6c 0x10c5ca000 + 568940
32  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
33  org.python.python                       0x000000010c654cd8 PyEval_EvalCodeEx + 1996
34  org.python.python                       0x000000010c654e6c 0x10c5ca000 + 568940
35  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
36  org.python.python                       0x000000010c654cd8 PyEval_EvalCodeEx + 1996
37  org.python.python                       0x000000010c5f2abf 0x10c5ca000 + 166591
38  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
39  org.python.python                       0x000000010c6525ec PyEval_EvalFrameEx + 16026
40  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
41  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
42  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
43  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
44  org.python.python                       0x000000010c654cd8 PyEval_EvalCodeEx + 1996
45  org.python.python                       0x000000010c5f2abf 0x10c5ca000 + 166591
46  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
47  org.python.python                       0x000000010c5e06e9 0x10c5ca000 + 91881
48  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
49  org.python.python                       0x000000010c61c484 0x10c5ca000 + 337028
50  org.python.python                       0x000000010c616b7a 0x10c5ca000 + 314234
51  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
52  org.python.python                       0x000000010c651f63 PyEval_EvalFrameEx + 14353
53  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
54  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
55  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
56  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
57  org.python.python                       0x000000010c654cd8 PyEval_EvalCodeEx + 1996
58  org.python.python                       0x000000010c5f2abf 0x10c5ca000 + 166591
59  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
60  org.python.python                       0x000000010c6525ec PyEval_EvalFrameEx + 16026
61  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
62  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
63  org.python.python                       0x000000010c654df7 0x10c5ca000 + 568823
64  org.python.python                       0x000000010c651e0a PyEval_EvalFrameEx + 14008
65  org.python.python                       0x000000010c654cd8 PyEval_EvalCodeEx + 1996
66  org.python.python                       0x000000010c5f2abf 0x10c5ca000 + 166591
67  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
68  org.python.python                       0x000000010c5e06e9 0x10c5ca000 + 91881
69  org.python.python                       0x000000010c5d1d32 PyObject_Call + 97
70  org.python.python                       0x000000010c64dc40 PyEval_CallObjectWithKeywords + 180
71  org.python.python                       0x000000010c67f40d 0x10c5ca000 + 742413
72  libsystem_c.dylib                       0x00007fff978098bf _pthread_start + 335
73  libsystem_c.dylib                       0x00007fff9780cb75 thread_start + 13
 
 
Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000100  rbx: 0x00007ffc6a6e8610  rcx: 0x00007ffc6a6e8628  rdx: 0x0000000000000001
  rdi: 0x00007ffc6a6e8620  rsi: 0x00007fff8c3d6c40  rbp: 0x000000010d471080  rsp: 0x000000010d471070
   r8: 0x00007ffc6a6dc398   r9: 0x0000000000000596  r10: 0x0000000000000081  r11: 0x00007fff8af825d0
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x00007fff7ad93180  r15: 0x00007ffc6a6bde28
  rip: 0x00007fff8b14ace9  rfl: 0x0000000000010206  cr2: 0x0000000000000108
Logical CPU: 0
 
 
Binary Images:
       0x10c5c5000 -        0x10c5c5fff  org.python.python (2.7.1 - 2.7.1) <E2C46621-158F-349B-9131-263E8958B23A> /System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/C ontents/MacOS/Python
       0x10c5ca000 -        0x10c6e5ff7  org.python.python (2.7.1 - 2.7.1) <A7E34EB5-24D2-3B8F-A26B-4A5B28CD2C60> /System/Library/Frameworks/Python.framework/Versions/2.7/Python
       0x10c7eb000 -        0x10c7effff  _struct.so (??? - ???) <A871A47E-0BF6-3A21-BF66-A5438C54B237> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_struct.so
       0x10c7f5000 -        0x10c7f7ff7  binascii.so (??? - ???) <9B353DAC-B0E8-3B4B-91A1-50F6F86AA928> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/binascii.so
       0x10c7fb000 -        0x10c7fcfff  _hashlib.so (??? - ???) <C6196B8C-5451-3875-BCD9-2942C6A32FCF> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_hashlib.so
       0x10c940000 -        0x10c941fff  _locale.so (??? - ???) <FCAE62F7-D07F-3F5F-8057-18224582F344> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_locale.so
       0x10c945000 -        0x10c951fff  cPickle.so (??? - ???) <FE1D948F-998C-350E-8002-224D3DCDE8B5> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/cPickle.so
       0x10c957000 -        0x10c957fff  grp.so (??? - ???) <563EC9A6-F38F-3518-9BBB-912E9F01FDA1> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/grp.so
       0x10c95b000 -        0x10c95efff  _multiprocessing.so (??? - ???) <CFAE1A97-134D-3A6D-9646-D5109117D153> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_multiprocessing.so
       0x10c963000 -        0x10c965fff  select.so (??? - ???) <FEC6A324-8D3E-3439-9315-BC2AF15A0514> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/select.so
       0x10ce30000 -        0x10ce35fff  array.so (??? - ???) <177F1D09-ACEE-3E39-8F1E-3EE8BA8A7AC6> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/array.so
       0x10ce3b000 -        0x10ce41ff7  _socket.so (??? - ???) <CB2B2DF1-46C2-3491-A737-4522C807F5A2> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_socket.so
       0x10ce49000 -        0x10ce4afff  _functools.so (??? - ???) <D4679747-9993-34F6-B702-3946FA5BF171> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_functools.so
       0x10ce4e000 -        0x10ce52fff  _ssl.so (??? - ???) <50FC05D5-0434-3054-9C09-CA8923FED0C0> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_ssl.so
       0x10ce58000 -        0x10ce59fff  cStringIO.so (??? - ???) <AE5A2A12-8E57-3FE2-B998-C175083B27F7> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/cStringIO.so
       0x10ce5e000 -        0x10ce61fff  _collections.so (??? - ???) <62C1B5B7-654D-397A-8840-7EBB907DBCA1> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_collections.so
       0x10ce67000 -        0x10ce6afff  operator.so (??? - ???) <59A152D0-52ED-354C-9C2D-D7390E3EC216> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/operator.so
       0x10ce70000 -        0x10ce76fff  itertools.so (??? - ???) <7C8350B9-8DD3-377A-A5C1-1103A6C955A6> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/itertools.so
       0x10ce7f000 -        0x10ce7ffff  _bisect.so (??? - ???) <CD57DCA1-74B4-37F8-B338-ABDDB1750F22> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_bisect.so
       0x10ce83000 -        0x10ce84fff  _heapq.so (??? - ???) <A3448C7E-3268-32A5-B4C5-859372FFA7E6> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_heapq.so
       0x10ce89000 -        0x10ce8efff  math.so (??? - ???) <BC93F501-541B-3BA8-B1D7-2644AAD6D6CE> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/math.so
       0x10ce94000 -        0x10ce95ff7  _random.so (??? - ???) <3C7A7C17-1698-32D0-BF09-F50A19F75E4B> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_random.so
       0x10ce99000 -        0x10ce9afff  fcntl.so (??? - ???) <D2F4AAAE-3C27-3134-84AE-021647AEB1C4> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/fcntl.so
       0x10ce9e000 -        0x10ce9ffff  time.so (??? - ???) <DA274462-B33A-33EB-90F7-BB9FB8120A5D> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/time.so
       0x10cea6000 -        0x10cea9fff  strop.so (??? - ???) <A317730F-EDDF-3998-8A22-0E632B3E67A4> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/strop.so
       0x10ceae000 -        0x10ceaefff  _scproxy.so (??? - ???) <F392F576-344C-3CCB-B93C-E11205241E1D> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_scproxy.so
       0x10cf72000 -        0x10cf7dff7  datetime.so (??? - ???) <9EC1E3BD-3BD3-3B39-AE19-448CCEEA747A> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/datetime.so
       0x10cf86000 -        0x10cf8ffff  _sqlite3.so (??? - ???) <4F97C26B-1A2D-33D9-A7B4-C791FA3F645B> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_sqlite3.so
       0x10cf99000 -        0x10cf9dfff  _json.so (??? - ???) <A8E3EEA8-354B-35C6-A3C5-653928D7419D> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_json.so
       0x10cfa2000 -        0x10cfaafff  parser.so (??? - ???) <2E88032A-DFD4-38F0-BE83-03DA706702B1> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/parser.so
       0x10d1f0000 -        0x10d201fff  _io.so (??? - ???) <5451CA4B-98A0-3F70-9322-DBE6B7D93CF1> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_io.so
       0x10d210000 -        0x10d221fff  _ctypes.so (??? - ???) <2D2AE6AF-704A-3CBB-954B-33BA49B78254> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/_ctypes.so
       0x10da17000 -        0x10da19fff  zlib.so (??? - ???) <81E54FCE-EEAC-3E97-BB05-1143EB6AECA6> /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynl oad/zlib.so
    0x7fff6c1c5000 -     0x7fff6c1f9ac7  dyld (195.5 - ???) <4A6E2B28-C7A2-3528-ADB7-4076B9836041> /usr/lib/dyld
    0x7fff8ace9000 -     0x7fff8ad22fe7  libssl.0.9.8.dylib (44.0.0 - compatibility 0.9.8) <79AAEC98-1258-3DA4-B1C0-4120049D390B> /usr/lib/libssl.0.9.8.dylib
    0x7fff8ae97000 -     0x7fff8aeb7fff  libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <69F2F501-72D8-3B3B-8357-F4418B3E1348> /usr/lib/system/libsystem_kernel.dylib
    0x7fff8af21000 -     0x7fff8af23fff  libquarantine.dylib (36.0.0 - compatibility 1.0.0) <4C3BFBC7-E592-3939-B376-1C2E2D7C5389> /usr/lib/system/libquarantine.dylib
    0x7fff8af37000 -     0x7fff8b10bfff  com.apple.CoreFoundation (6.7.1 - 635.15) <FE4A86C2-3599-3CF8-AD1A-822F1FEA820F> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8b10c000 -     0x7fff8b147ff7  libsystem_info.dylib (??? - ???) <9C8C2DCB-96DB-3471-9DCE-ADCC26BE2DD4> /usr/lib/system/libsystem_info.dylib
    0x7fff8b148000 -     0x7fff8b156fff  libdispatch.dylib (187.7.0 - compatibility 1.0.0) <712AAEAC-AD90-37F7-B71F-293FF8AE8723> /usr/lib/system/libdispatch.dylib
    0x7fff8c79d000 -     0x7fff8c7a2fff  libcache.dylib (47.0.0 - compatibility 1.0.0) <B7757E2E-5A7D-362E-AB71-785FE79E1527> /usr/lib/system/libcache.dylib
    0x7fff8d64a000 -     0x7fff8d64bff7  libremovefile.dylib (21.0.0 - compatibility 1.0.0) <C6C49FB7-1892-32E4-86B5-25AD165131AA> /usr/lib/system/libremovefile.dylib
    0x7fff8edae000 -     0x7fff8edf0ff7  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <A5B9778E-11C3-3F61-B740-1F2114E967FB> /usr/lib/system/libcommonCrypto.dylib
    0x7fff8f492000 -     0x7fff8f4afff7  libxpc.dylib (77.17.0 - compatibility 1.0.0) <72A16104-2F23-3C22-B474-1953F06F9376> /usr/lib/system/libxpc.dylib
    0x7fff8f778000 -     0x7fff8f779fff  libsystem_sandbox.dylib (??? - ???) <8D14139B-B671-35F4-9E5A-023B4C523C38> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff90a8c000 -     0x7fff90b70def  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <C5F2392D-B481-3A9D-91BE-3D039FFF4DEC> /usr/lib/libobjc.A.dylib
    0x7fff911f8000 -     0x7fff91201ff7  libsystem_notify.dylib (80.1.0 - compatibility 1.0.0) <A4D651E3-D1C6-3934-AD49-7A104FD14596> /usr/lib/system/libsystem_notify.dylib
    0x7fff912ac000 -     0x7fff91321ff7  libc++.1.dylib (19.0.0 - compatibility 1.0.0) <C0EFFF1B-0FEB-3F99-BE54-506B35B555A9> /usr/lib/libc++.1.dylib
    0x7fff9132e000 -     0x7fff9132ffff  libunc.dylib (24.0.0 - compatibility 1.0.0) <C67B3B14-866C-314F-87FF-8025BEC2CAAC> /usr/lib/system/libunc.dylib
    0x7fff923c8000 -     0x7fff92416fff  libauto.dylib (??? - ???) <D8AC8458-DDD0-3939-8B96-B6CED81613EF> /usr/lib/libauto.dylib
    0x7fff928da000 -     0x7fff928defff  libdyld.dylib (195.5.0 - compatibility 1.0.0) <F1903B7A-D3FF-3390-909A-B24E09BAD1A5> /usr/lib/system/libdyld.dylib
    0x7fff928df000 -     0x7fff9292aff7  com.apple.SystemConfiguration (1.11.1 - 1.11) <F832FE21-5509-37C6-B1F1-48928F31BE45> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfi guration
    0x7fff92a44000 -     0x7fff92ab7fff  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2> /usr/lib/libstdc++.6.dylib
    0x7fff92c68000 -     0x7fff92c73ff7  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14> /usr/lib/libc++abi.dylib
    0x7fff92c74000 -     0x7fff92c78fff  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542> /usr/lib/system/libmathCommon.A.dylib
    0x7fff92c79000 -     0x7fff92c8bff7  libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib
    0x7fff92c8e000 -     0x7fff92c8efff  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075> /usr/lib/system/libkeymgr.dylib
    0x7fff92c8f000 -     0x7fff92c90ff7  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869> /usr/lib/system/libsystem_blocks.dylib
    0x7fff92e7c000 -     0x7fff92e82ff7  libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231> /usr/lib/system/libunwind.dylib
    0x7fff93681000 -     0x7fff93686ff7  libsystem_network.dylib (??? - ???) <5DE7024E-1D2D-34A2-80F4-08326331A75B> /usr/lib/system/libsystem_network.dylib
    0x7fff93687000 -     0x7fff9368cfff  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A> /usr/lib/system/libcompiler_rt.dylib
    0x7fff936ce000 -     0x7fff938d0fff  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <38CD6ED3-C8E4-3CCD-89AC-9C3198803101> /usr/lib/libicucore.A.dylib
    0x7fff95141000 -     0x7fff95149fff  libsystem_dnssd.dylib (??? - ???) <7749128E-D0C5-3832-861C-BC9913F774FA> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff95396000 -     0x7fff95397fff  libffi.dylib (??? - ???) <DB96CC4B-0D38-3102-80AA-91DDE9AF3886> /usr/lib/libffi.dylib
    0x7fff95c12000 -     0x7fff95d1efff  libcrypto.0.9.8.dylib (44.0.0 - compatibility 0.9.8) <3A8E1F89-5E26-3C8B-B538-81F5D61DBF8A> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff95e42000 -     0x7fff95e43fff  libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <718A135F-6349-354A-85D5-430B128EFD57> /usr/lib/system/libdnsinfo.dylib
    0x7fff9653c000 -     0x7fff96543fff  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <172B1985-F24A-34E9-8D8B-A2403C9A0399> /usr/lib/system/libcopyfile.dylib
    0x7fff96544000 -     0x7fff96546fff  com.apple.TrustEvaluationAgent (2.0 - 1) <1F31CAFF-C1C6-33D3-94E9-11B721761DDF> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/Tru stEvaluationAgent
    0x7fff96547000 -     0x7fff9654dfff  libmacho.dylib (800.0.0 - compatibility 1.0.0) <D86F63EC-D2BD-32E0-8955-08B5EAFAD2CC> /usr/lib/system/libmacho.dylib
    0x7fff96845000 -     0x7fff96948fff  libsqlite3.dylib (9.6.0 - compatibility 9.0.0) <7F60B0FF-4946-3639-89AB-B540D318B249> /usr/lib/libsqlite3.dylib
    0x7fff96949000 -     0x7fff96976fe7  libSystem.B.dylib (159.1.0 - compatibility 1.0.0) <095FDD3C-3961-3865-A59B-A5B0A4B8B923> /usr/lib/libSystem.B.dylib
    0x7fff977b9000 -     0x7fff977bafff  libDiagnosticMessagesClient.dylib (??? - ???) <3DCF577B-F126-302B-BCE2-4DB9A95B8598> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff977bb000 -     0x7fff97898fef  libsystem_c.dylib (763.12.0 - compatibility 1.0.0) <FF69F06E-0904-3C08-A5EF-536FAFFFDC22> /usr/lib/system/libsystem_c.dylib
    0x7fff978b6000 -     0x7fff978c0ff7  liblaunch.dylib (392.18.0 - compatibility 1.0.0) <39EF04F2-7F0C-3435-B785-BF283727FFBD> /usr/lib/system/liblaunch.dylib
 
 
External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 2200
    thread_create: 0
    thread_set_state: 0
 
 
VM Region Summary:
ReadOnly portion of Libraries: Total=60.9M resident=29.0M(48%) swapped_out_or_unallocated=31.9M(52%)
Writable regions: Total=49.5M written=2296K(5%) resident=19.6M(40%) swapped_out=0K(0%) unallocated=29.9M(60%)
 
REGION TYPE                      VIRTUAL
===========                      =======
MALLOC                             34.4M
MALLOC guard page                    48K
SQLite page cache                    96K
STACK GUARD                           4K
Stack                              70.6M
VM_ALLOCATE                           8K
__DATA                             1780K
__LINKEDIT                         48.0M
__TEXT                             12.9M
__UNICODE                           544K
shared memory                        12K
===========                      =======
TOTAL                             168.4M
 
 
Model: Macmini3,1, BootROM MM31.0081.B06, 2 processors, Intel Core 2 Duo, 2 GHz, 4 GB, SMC 1.35f0
Graphics: NVIDIA GeForce 9400, NVIDIA GeForce 9400, PCI, 256 MB
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1067 MHz, 0x802C, 0x31364A53463235363634485A2D3147314631
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1067 MHz, 0x802C, 0x31364A53463235363634485A2D3147314631
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x90), Broadcom BCM43xx 1.0 (5.10.131.36.11)
Bluetooth: Version 4.0.1f4, 2 service, 18 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Network Service: Ethernet, Ethernet, en0
Serial ATA Device: Hitachi HTS543212L9SA02, 120.03 GB
Serial ATA Device: PIONEER DVD-RW  DVRTS08
USB Device: Mac OS X Install Disk, apple_vendor_id, 0x1502, 0x26200000 / 2
USB Device: BRCM2046 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x06100000 / 2
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x8216, 0x06110000 / 3
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0x04500000 / 2
FireWire Device: Rev2, Drobo, 400mbit_speed
msg151705 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-01-20 21:19
Can you isolate the cause? There is way too much in that core dump to try to debug the problem. Without knowing what code in this Moviegrabber app caused the bug we can't do anything to debug the issue.
msg151706 - (view) Author: Dan kamp (Dan.kamp) Date: 2012-01-20 22:21
On Jan 20, 2012, at 4:20 PM, Brett Cannon wrote:

> Can you isolate the cause? There is way too much in that core dump to try to debug the problem. Without knowing what code in this Moviegrabber app caused the bug we can't do anything to debug the issue.

All I know is that this happens with Moviegrabber and no other app that I am running (5 of them). Attached is the code I am using. This is WAY above what I know how to do but I can tell you that I am running it on a mac with 2.7.1 installed and OSX lion. Attached is the source. Thanks
msg151736 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-01-21 17:03
Then I'm going to assume the bug lies with Moviegrabber doing something wrong and it isn't Python's direct fault.
msg151773 - (view) Author: Dan kamp (Dan.kamp) Date: 2012-01-22 13:11
I have received this from the macpython listserv it that helps. Would really like to find this issue.

From the traceback, it appears that there is a problem with Python's
_scproxy module; that's an internal helper C module that provides an
interface to the OS X System Configuration framework to access Internet
proxy configurations for the urllib module. You should open an issue
for this at bugs.python.org. Please include the original crash report
traceback.

On Jan 21, 2012, at 12:03 PM, Brett Cannon wrote:

> 
> Brett Cannon <brett@python.org> added the comment:
> 
> Then I'm going to assume the bug lies with Moviegrabber doing something wrong and it isn't Python's direct fault.
> 
> ----------
> resolution:  -> invalid
> status: open -> closed
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue13829>
> _______________________________________
msg151831 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-01-23 17:50
The problem was originally discussed in these threads:

http://mail.python.org/pipermail/pythonmac-sig/2011-December/023428.html
http://mail.python.org/pipermail/pythonmac-sig/2011-December/023430.html

Because _scproxy is used to get information about Internet proxies, a test case should be constructed on OS X 10.7.x with a proxy configured.
msg181426 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-02-05 10:13
I've once again reviewed the _scproxy code and that code seems correct (although that doesn't say too much for subtle bugs because I wrote the initial version of the module).

Dan: is it possible to tell moviegrabber to use another python installation (in particular /Library/Frameworks/Python.framework)? If so, is the problem reproducable with the latest binaries on www.python.org?

The crash report says that the actual crash occurs inside a function called by SCDynamicStoreCopyProxies and I wouldn't know how Python's use of that function is wrong. 

The crash could still be caused by the way the moviegrabber application uses python, but I'd consider that a bug in moviegrabber unless there is a clear indication of a bug in python itself.

BTW. Is Moviegrabber this software? : http://sourceforge.net/projects/moviegrabber/
msg181427 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-02-05 10:19
If it is the moviegrabber I linked to: that's a 100% python script using some other opensource libraries.

It does use multiprocessing, and that might mean this is the same problem as issue9405. That issue should be fixed in the repository (for a long time, the issue is not yet closed because I wanted to write a test case).
msg182341 - (view) Author: Julian Scheid (Julian.Scheid) Date: 2013-02-18 20:31
FWIW, I've run into the same issue in a homegrown application with 2.6.8, 2.7.2 and 2.7.3 (these were the only versions I've tested).

Looking around a little bit, I suspect this might be a bug in SCDynamicStoreCopyProxies that's only present on OS X 10.7 and only triggered when invoked in a forked child (?) [1][2].

I've tried working around it by invoking SCDynamicStoreCopyProxies with a non-NULL SCDynamicStoreRef but to no avail. Since I don't need this Python application to use HTTP proxies, I'm working around it now like this:

                proxy_handler = urllib2.ProxyHandler({})
                opener = urllib2.build_opener(proxy_handler)
                request = urllib2.Request(...)
                response = opener.open(request)

[1] http://forums.macrumors.com/archive/index.php/t-1295113.html
[2] https://github.com/suminb/spider/issues/7
msg192440 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-07-06 13:27
Sigh... The crash is a subprocess started with fork is not entirely unexpected, although I had hoped that the current version of _scproxy would be safe enough.

A number of Apple frameworks detect that a process called fork after they initialized and then explictly crash (basicly a call to abort()). In this case it appears to just not work correctly.

I'm not sure how to fix this, other than spawning a small helper program to query the proxy settings. That could get prohibitively expensive when fetching a lot of URLs though (and an RPC system might run into the a similar problem after calling fork...)
History
Date User Action Args
2013-07-06 13:27:22ronaldoussorensetmessages: + msg192440
2013-02-18 20:31:30Julian.Scheidsetnosy: + Julian.Scheid
messages: + msg182341
2013-02-05 10:19:17ronaldoussorensetmessages: + msg181427
2013-02-05 10:13:20ronaldoussorensetmessages: + msg181426
2013-02-01 21:57:25brett.cannonsetnosy: - brett.cannon
2012-01-23 17:50:41ned.deilysetstatus: closed -> open

assignee: ronaldoussoren
components: + Macintosh
title: exception error -> exception error in _scproxy.so
nosy: + ronaldoussoren, ned.deily

messages: + msg151831
resolution: not a bug ->
2012-01-22 13:11:19Dan.kampsetmessages: + msg151773
2012-01-21 17:03:21brett.cannonsetstatus: open -> closed
resolution: not a bug
messages: + msg151736
2012-01-20 22:21:31Dan.kampsetstatus: pending -> open

messages: + msg151706
2012-01-20 21:19:56brett.cannonsetstatus: open -> pending
nosy: + brett.cannon
messages: + msg151705

2012-01-19 18:42:02Dan.kampcreate